ghc-mod
Happy Haskell programming

NEW: Take a look at the new package tracker: tracker.debian.org/pkg/ghc-mod

general

source
ghc-mod (source, haskell)
version
5.8.0.0-2
maint
Debian Haskell Group (a), Joachim Breitner (u)
arch
any all
std-ver
4.1.4
VCS
Git (browse)

versions ... ...pool

o-o-stable
save 4.1.2-2
oldstable
save 5.6.0.0-2
unstable
save 5.8.0.0-2

binaries

todo

  • Lintian reports 9 warnings about this package. You should make the package lintian clean getting rid of them.
  • The package should be updated to follow the last version of Debian Policy (Standards-Version 4.5.0 instead of 4.1.4).

problems

testing migration

  • This package is part of the ongoing testing transition known as auto-libffi. Please avoid uploads unrelated to this transition, they would likely delay it and require supplementary work from the release managers. On the other hand, if your package has problems preventing it to migrate to testing, please fix them as soon as possible. You can probably find supplementary information in the debian-release archives or in the corresponding release.debian.org bug.
excuses:
  • Migration status for ghc-mod (- to 5.8.0.0-2): BLOCKED: Rejected/violates migration policy/introduces a regression
  • Issues preventing migration:
  • Updating ghc-mod introduces new bugs: #896971, #945010.
  • Rejected due to piuparts regression - https://piuparts.debian.org/sid/source/g/ghc-mod.html
  • ghc-mod unsatisfiable Build-Depends(-Arch) on amd64: libghc-cabal-helper-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on amd64: libghc-extra-dev (<< 1.6)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on amd64: libghc-ghc-syb-utils-dev (<< 0.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on amd64: libghc-src-exts-dev (<< 1.20)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on amd64: libghc-hlint-dev (<< 2.1)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on amd64: libghc-monad-journal-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on amd64: libghc-optparse-applicative-dev (<< 0.14)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on amd64: libghc-temporary-dev (<< 1.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on arm64: libghc-cabal-helper-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on arm64: libghc-extra-dev (<< 1.6)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on arm64: libghc-ghc-syb-utils-dev (<< 0.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on arm64: libghc-src-exts-dev (<< 1.20)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on arm64: libghc-hlint-dev (<< 2.1)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on arm64: libghc-monad-journal-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on arm64: libghc-optparse-applicative-dev (<< 0.14)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on arm64: libghc-temporary-dev (<< 1.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armel: libghc-cabal-helper-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armel: libghc-extra-dev (<< 1.6)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armel: libghc-ghc-syb-utils-dev (<< 0.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armel: libghc-src-exts-dev (<< 1.20)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armel: libghc-hlint-dev (<< 2.1)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armel: libghc-monad-journal-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armel: libghc-optparse-applicative-dev (<< 0.14)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armel: libghc-temporary-dev (<< 1.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armhf: libghc-cabal-helper-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armhf: libghc-extra-dev (<< 1.6)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armhf: libghc-ghc-syb-utils-dev (<< 0.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armhf: libghc-src-exts-dev (<< 1.20)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armhf: libghc-hlint-dev (<< 2.1)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armhf: libghc-monad-journal-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armhf: libghc-optparse-applicative-dev (<< 0.14)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on armhf: libghc-temporary-dev (<< 1.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on i386: libghc-cabal-helper-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on i386: libghc-extra-dev (<< 1.6)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on i386: libghc-ghc-syb-utils-dev (<< 0.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on i386: libghc-src-exts-dev (<< 1.20)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on i386: libghc-hlint-dev (<< 2.1)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on i386: libghc-monad-journal-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on i386: libghc-optparse-applicative-dev (<< 0.14)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on i386: libghc-temporary-dev (<< 1.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on mips64el: libghc-cabal-helper-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on mips64el: libghc-extra-dev (<< 1.6)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on mips64el: libghc-ghc-syb-utils-dev (<< 0.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on mips64el: libghc-src-exts-dev (<< 1.20)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on mips64el: libghc-hlint-dev (<< 2.1)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on mips64el: libghc-monad-journal-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on mips64el: libghc-optparse-applicative-dev (<< 0.14)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on mips64el: libghc-temporary-dev (<< 1.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-cabal-helper-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-extra-dev (<< 1.6)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-ghc-syb-utils-dev (<< 0.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-src-exts-dev (<< 1.20)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-hlint-dev (<< 2.1)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-monad-journal-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-optparse-applicative-dev (<< 0.14)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on ppc64el: libghc-temporary-dev (<< 1.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on s390x: libghc-cabal-helper-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on s390x: libghc-extra-dev (<< 1.6)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on s390x: libghc-ghc-syb-utils-dev (<< 0.3)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on s390x: libghc-src-exts-dev (<< 1.20)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on s390x: libghc-hlint-dev (<< 2.1)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on s390x: libghc-monad-journal-dev (<< 0.8)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on s390x: libghc-optparse-applicative-dev (<< 0.14)
  • ghc-mod unsatisfiable Build-Depends(-Arch) on s390x: libghc-temporary-dev (<< 1.3)
  • missing build on amd64
  • missing build on arm64
  • missing build on armel
  • missing build on armhf
  • missing build on i386
  • missing build on mips64el
  • missing build on ppc64el
  • missing build on s390x
  • missing build on all
  • arch:all not built yet, autopkgtest delayed
  • Additional info:
  • 482 days old (needed 5 days)

news RSS

bugs

all bug history graph
4
RC
2
I&N
2
M&W
0
F&P
0
Help
1